"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDistance = getDistance;
const euclideanDistance_js_1 = require("./euclideanDistance.js");
const manhattanDistance_js_1 = require("./manhattanDistance.js");
/**
 * @param start The start coordinate
 * @param end The end coordinate
 * @param algorithm The algorithm that should be used for the distance calculation
 * @returns The distance between the given coordinates
 */
function getDistance(start, end, algorithm) {
    return {
        EUCLIDEAN: euclideanDistance_js_1.euclideanDistance,
        MANHATTAN: manhattanDistance_js_1.manhattanDistance,
    }[algorithm](start, end);
}
