"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapFinder = mapFinder;
const pathfinding_1 = require("pathfinding");
/**
 * @param algorithm The path algorithm
 * @param finderOptions The finder options
 * @returns An initialized Finder
 */
function mapFinder(algorithm, finderOptions) {
    return new {
        A_STAR: pathfinding_1.AStarFinder,
        BEST_FIRST: pathfinding_1.BestFirstFinder,
        BREADTH_FIRST: pathfinding_1.BreadthFirstFinder,
        DIJKSTRA: pathfinding_1.DijkstraFinder,
    }[algorithm](finderOptions);
}
