import { AStarFinder, BestFirstFinder, BreadthFirstFinder, DijkstraFinder, } from 'pathfinding';
/**
 * @param algorithm The path algorithm
 * @param finderOptions The finder options
 * @returns An initialized Finder
 */
export function mapFinder(algorithm, finderOptions) {
    return new {
        A_STAR: AStarFinder,
        BEST_FIRST: BestFirstFinder,
        BREADTH_FIRST: BreadthFirstFinder,
        DIJKSTRA: DijkstraFinder,
    }[algorithm](finderOptions);
}
