import { type Direction, Edges, type StraightDirection } from '@2d-game-grid/core';
import type { SquareCell } from './SquareCell.js';
import type { SquareGrid } from './SquareGrid.js';
import type { SquareDirections } from './SquareDirections.js';
export declare class SquareEdges<Value> extends Edges<Value, SquareDirections, SquareCell<Value>> {
    protected grid: SquareGrid<Value>;
    protected cell: SquareCell<Value>;
    constructor(grid: SquareGrid<Value>, cell: SquareCell<Value>);
    protected findNeighbor(direction: Direction): SquareCell<Value> | undefined;
    protected getPreviousEdgeDirection(direction: StraightDirection): StraightDirection;
    protected getNextEdgeDirection(direction: StraightDirection): StraightDirection;
}
