import type { SquareCell } from '../../SquareCell.js';
import type { DistanceAlgorithm } from './DistanceAlgorithm.js';
/**
 * @param cell The start cell
 * @param maxDistance The maximum distance (including) to a cell that should be returned
 * @param algorithm The algorithm that should be used for the distance calculation
 * @returns All cells that are in the distance (excluding the start cell)
 */
export declare function listCellsInDistance<Value>(cell: SquareCell<Value>, maxDistance: number, algorithm: DistanceAlgorithm): SquareCell<Value>[];
