import type { Coordinate } from '@2d-game-grid/core';
import type { SquareCell } from '../../SquareCell.js';
import type { SquareGrid } from '../../SquareGrid.js';
import type { PathfindingOptions } from './PathfindingOptions.js';
/**
 * @param grid The grid
 * @param start The coordinate that the path should start
 * @param end The coordinate that the path should end
 * @param options The options to customize the pathfinding
 * @returns The shortest path including the start and the end cell
 */
export declare function getPath<Value>(grid: SquareGrid<Value>, start: Coordinate, end: Coordinate, options?: PathfindingOptions<Value>): SquareCell<Value>[];
