import type { SquareCell } from '../../SquareCell.js';
import type { PathfindingOptions } from './PathfindingOptions.js';
/**
 * @param cell The start cell
 * @param maxPathSteps The maximum amount of steps (including) to a cell that should be returned (start and end cell included)
 * @param options The options to customize the pathfinding
 * @returns All cells that are reachable (excluding the start cell)
 */
export declare function listReachableCells<Value>(cell: SquareCell<Value>, maxPathSteps: number, options?: PathfindingOptions<Value>): SquareCell<Value>[];
