import type { SquareGrid } from '../../../SquareGrid.js';
import type { HeuristicAlgorithm, HeuristicFunction } from '../PathfindingOptions.js';
/**
 * @param grid The grid
 * @param heuristic The heuristic algorithm or a custom heuristic function
 * @returns A heuristic function for the pathfinding
 */
export declare function mapHeuristic<Value>(grid: SquareGrid<Value>, heuristic: HeuristicAlgorithm | HeuristicFunction<Value>): (col: number, row: number) => number;
