import {Edges} from '@2d-game-grid/core'
export class SquareEdges extends Edges {
  grid
  cell
  constructor(grid, cell) {
    super(grid, cell)
    this.grid = grid
    this.cell = cell
  }
  findNeighbor(direction) {
    return this.cell.neighbors.find(direction)
  }
  getPreviousEdgeDirection(direction) {
    const directions = {
      TOP: 'LEFT',
      RIGHT: 'TOP',
      BOTTOM: 'RIGHT',
      LEFT: 'BOTTOM',
    }
    return directions[direction]
  }
  getNextEdgeDirection(direction) {
    const directions = {
      TOP: 'RIGHT',
      RIGHT: 'BOTTOM',
      BOTTOM: 'LEFT',
      LEFT: 'TOP',
    }
    return directions[direction]
  }
}
